aboutsummaryrefslogtreecommitdiffstats
AgeCommit message (Collapse)AuthorFilesLines
2017-09-08Bump version to 12.0.112.0.112.0Yong-iL Joh2-2/+2
Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-09-08dlt-daemon: fix build errorYong-iL Joh2-0/+13
- add 0005-add-pigz-instead-of-gzip.patch to fix an issue below ... | -- Unit files will be installed to /lib/systemd/system after make install | CMake Error at doc/CMakeLists.txt:78 (MESSAGE): | Could not find gzip for man page compression. | | | -- Configuring incomplete, errors occurred! ... - this is workaround for meta-ivi 12 branch only Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-09-08Revert "dlt-daemon: remove obsolete compress_doc inheritance"Yong-iL Joh1-1/+1
This reverts commit 9c37855485e127b5587137572d1fd340180cadc2.
2017-08-03Merge pull request #54 from sashko/patch-6Yong-iL (Tolkien) Joh1-0/+2
cairo: fix package installation
2017-08-03Merge pull request #53 from sashko/patch-5Yong-iL (Tolkien) Joh1-1/+1
dlt-daemon: remove obsolete compress_doc inheritance
2017-08-03Merge pull request #52 from sashko/patch-4Yong-iL (Tolkien) Joh1-1/+1
gstreamer1.0-plugins-bad: add glib-2.0-native to depends
2017-08-03Merge pull request #51 from sashko/patch-3Yong-iL (Tolkien) Joh1-1/+1
gstreamer1.0-plugins-base: add glib-2.0-native to depends
2017-08-03Merge pull request #50 from sashko/patch-2Yong-iL (Tolkien) Joh1-1/+1
gstreamer: add glib-2.0-native to depends
2017-07-31cairo: fix package installationOleksandr Kravchuk1-0/+2
The bbappend causes the following issue on do_install: cairo do_package: QA Issue: cairo: Files/directories were installed but not shipped in any package: /usr/lib/cairo
2017-07-31dlt-daemon: remove obsolete compress_doc inheritanceOleksandr Kravchuk1-1/+1
2017-07-30gstreamer1.0-plugins-bad: add glib-2.0-native to dependsOleksandr Kravchuk1-1/+1
Package requires glib-genmarshal, the lack of which causes the following build error: /bin/bash: line 1: glib-mkenums: command not found Makefile:1128: recipe for target 'photography-enumtypes.h' failed
2017-07-30gstreamer1.0-plugins-base: add glib-2.0-native to dependsOleksandr Kravchuk1-1/+1
Package requires glib-genmarshal, the lack of which causes the following build error: /bin/bash: line 1: glib-mkenums: command not found Makefile:1270: recipe for target 'video-enumtypes.c' failed
2017-07-29gstreamer: add glib-2.0-native to dependsOleksandr Kravchuk1-1/+1
Package requires glib-genmarshal, which lack produces the following build error: /bin/bash: line 1: glib-mkenums: command not found Makefile:1884: recipe for target 'gstenumtypes.c' failed
2017-07-19Merge pull request #49 from GENIVI/12.0Yong-iL (Tolkien) Joh1-2/+2
Update master to 12.0 branch
2017-07-19Merge pull request #48 from GENIVI/gunnarx-patch-1Yong-iL (Tolkien) Joh1-4/+15
README: Add branch policy
2017-07-12README: Add branch policygunnarx1-4/+15
Add documentation of branch policy and a title "Contribution" to separate the contribution information.
2017-07-06Merge pull request #46 from GordanM/topic/dltYong-iL (Tolkien) Joh1-2/+1
dlt-daemon: remove inherit gzipnative
2017-07-06Merge pull request #44 from GordanM/topic/node-state-managerYong-iL (Tolkien) Joh1-1/+1
node-state-manager: Depends on gdbus-codegen
2017-07-06Merge pull request #40 from tolkien-joh/masterYong-iL (Tolkien) Joh2-3/+143
node-health-monitor: fix glib warnings while running NHM test applica…
2017-07-03dlt-daemon: remove inherit gzipnativeGordan Markuš1-2/+1
The class was renamed to gzip-native or pigz-native, which is already a dependency. Using later verisons of gzip, found in poky 2.3, do not have a class called gzipnative. By removing it we ensure an error free build. Signed-off-by: Gordan Markuš <gordan.markus@pelagicore.com>
2017-07-03node-state-manager: Depends on gdbus-codegenGordan Markuš1-1/+1
The node-state-manager build will fail if glib-2.0-native is not stated as an explicit dependency because the gdbus-codegen tool is not available. | gdbus-codegen --interface-prefix=org.genivi.NodeStateManager. --c-namespace=NodeState --generate-c-code=generated/NodeStateConsumer --generate-docbook=doc/NodeStateConsumer model/org.genivi.NodeStateManager.Consumer.xml | gdbus-codegen --interface-prefix=org.genivi.NodeStateManager. --c-namespace=NodeState --generate-c-code=generated/NodeStateLifecycleControl --generate-docbook=doc/LifecycleControl model/org.genivi.NodeStateManager.LifecycleControl.xml | gdbus-codegen --interface-prefix=org.genivi.NodeStateManager. --c-namespace=NodeState --generate-c-code=generated/NodeStateLifecycleConsumer --generate-docbook=doc/LifecycleConsumer model/org.genivi.NodeStateManager.LifecycleConsumer.xml | /bin/bash: gdbus-codegen: command not found Signed-off-by: Gordan Markuš <gordan.markus@pelagicore.com>
2017-06-20Merge pull request #42 from slawr/stevel/wayland-ivi-ext-1.11.1Yong-iL (Tolkien) Joh1-2/+2
wayland-ivi-extension: update to release v1.11.1
2017-06-16wayland-ivi-extension: update to release v1.11.1Stephen Lawrence1-2/+2
Update to maintenance release v1.11.1 to fix some crashes and memory corruption. Change log: 8fdae4c Bump version to 1.11.1 bugfix release 0f36214 Fix crash when surface already focused 93403d5 MockNavi: fixed selection between xdg- and ivi-shell (*1) 254383a ilmControl: fix memory corruption at input listener 492f5f2 ilmControl: fix memory leak at deinitialization a881a58 Fix ivi-application lib install 947458b ivi-share: fix compilation issue (*1) Before the application tried to register as xdg- and ivi-shell application. Signed-off-by: Stephen Lawrence <stephen.lawrence@renesas.com>
2017-06-08node-health-monitor: fix glib warnings while running NHM test applicationsYong-iL Joh2-3/+143
- http://docs.projects.genivi.org/bugs/show_bug.cgi?id=436 - thanks to Thangam_Ramasamy@mentor.com Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-05-30persistence-common-object: missing dependency on libcheckYong-iL Joh1-1/+1
It seems that in the persistence-common-object, there is a missing dependency on libcheck. If I do ‘bitbake persistence-common-object -c configure’ in a fresh build-dir, the build fails and the log.do_configure shows: … checking for CHECK... no configure: error: Package requirements (check) were not met: No package 'check' found … After adding ‘libcheck’ to ‘DEPENDS’, the error is gone… Best Regards, Christian <Christian_Bruder@mentor.com> Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-28Bump version to 12.0.012.0.0Yong-iL Joh1-1/+1
Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-28poky-ivi-systemd.conf: set distro version to snapshotYong-iL Joh1-1/+1
Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-28dlt-daemon: re-enable document generationN-1.1Yong-iL Joh1-1/+2
- remove -DWITH_MAN=OFF Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-23Change CONNECTIVITY_CHECK_URIS in distro confGunnar Andersson1-1/+1
The CONNECTIVITY_CHECK_URIS was set to check bugs.genivi.org but that site is now decomissioned. A new alternative URL is needed or bitbake will stop working right away. Signed-off-by: Gunnar Andersson <gandersson@genivi.org>
2017-04-19persistence-client-library: fix compile errorYong-iL Joh2-0/+36
| persistence_client_library_benchmark.c:86:23: error: conversion to 'long int' from 'long long int' may alter its value [-Werror=conversion] | durationInit += getNsDuration(&initStart, &initEnd); | ^~~~~~~~~~~~~ Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-18vexpressa9: remove "console=tty"Yong-iL Joh1-1/+1
- if running qemu with nographic option, console=tty cause to block to boot Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-14persistence-client-library: fix test scriptYong-iL Joh1-8/+14
- to test it, 1. mount persistent partition to /Data/mnt-c, /Data/mnt-wt 2. run node-state-manager 3. run pas daemon 4. install PAS_data.tar.gz if it ended with "... returned <<-1310719>>]", installation is failed. back to 2. if it ended with "... returned <<108>>]", go on. 5. run PCL test Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-14persistence-client-library: bug fixYong-iL Joh2-0/+21
- re-add 0002-load-correct-version-of-libpers_common.patch Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-13persistence-client-library: fix test script.N-1.0Yong-iL Joh1-5/+6
- do as told by Ingo Heurner Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-13persistence-administrator: minor fixYong-iL Joh1-1/+1
- place dummy file to right place Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-13persistence-client-library: modify test scriptYong-iL Joh2-7/+8
- install target is PAS_data.tar.gz, not Data_benchmark.tar.gz Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-13persistence-client-library: update to latest commitYong-iL Joh2-28/+1
- it's bug fix, not change of compliance or API. (by Ingo Huerner) Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-13persistence-common-object: update to latest commitYong-iL Joh1-1/+1
- it's bug fix, not change of compliance or API. (by Ingo Huerner) Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-11vexpressa9.conf: put all kernel modules by defaultYong-iL Joh1-0/+3
Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-11README.md: updateYong-iL Joh1-11/+9
- change the instruction of qemu running - change the links Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-11scripts/ : use runqemu in pokyYong-iL Joh6-1384/+66
- remove unused files Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-11vexpressa9: update to work with poky 2.2Yong-iL Joh3-886/+26
- update machine configuration - change kernel config file - set dtb file for kernel Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-10Merge pull request #32 from phongt/qemu-aarch64-nativetolkien-joh1-1/+1
poky-ivi-systemd.conf: enable aarch64 for qemu-native
2017-04-09poky-ivi-systemd.conf: enable aarch64 for qemu-nativePhong Tran1-1/+1
The QEMU_TARGET is lacking of aarch64 that gobject-introspection need for g-ir-scanner-qemuwrapper. [GDP-585] Pipeline fail for Renesas Gen3 starter kit build (needs qemu-aarch64?) Signed-off-by: Phong Tran <tranmanphong@gmail.com>
2017-04-04scripts/checkout: update.Yong-iL Joh2-0/+32
- it can be used for update existing git - add a guide to README.md Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-04Merge pull request #30 from phongt/qemu-native-sdltolkien-joh2-25/+4
Fix do_configure qemu-native
2017-04-04Merge pull request #29 from phongt/capicxx-nativetolkien-joh1-1/+1
capicxx native symbolic link issue
2017-04-04Merge pull request #31 from phongt/wayland-ivi-extension-md5sumtolkien-joh1-1/+1
wayland-ivi-extension: Update LIC_FILES_CHKSUM
2017-04-04README.md: (poky, meta-oe) update to latest commitsYong-iL Joh1-2/+2
Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
2017-04-03wayland-ivi-extension: Update LIC_FILES_CHKSUMPhong Tran1-1/+1
Update md5sum hash for avoiding license-checksum warning of Yocto QA checking Signed-off-by: Phong Tran <tranmanphong@gmail.com>